---
title: HTMLVideoElement.getVideoPlaybackQuality()
slug: Web/API/HTMLVideoElement/getVideoPlaybackQuality
tags:
  - API
  - Experimental
  - Frames
  - HTML DOM
  - HTMLVideoElement
  - Media
  - Media Playback Quality
  - Media Playback Quality API
  - Method
  - Playback
  - Quality
  - Reference
  - Time
  - Video
  - getVideoPlaybackQuality
---
<div>{{ APIRef("HTML DOM") }}</div>

<p><span class="seoSummary">The <strong>{{domxref("HTMLVideoElement")}}</strong> method <code><strong>getVideoPlaybackQuality()</strong></code> creates and returns a {{domxref("VideoPlaybackQuality")}} object containing metrics including how many frames have been lost.</span></p>

<p>The data returned can be used to evaluate the quality of the video stream.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>videoPQ</em> = <em>videoElement</em>.getVideoPlaybackQuality();</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("VideoPlaybackQuality")}} object providing information about the video element's current playback quality.</p>

<h2 id="Example">Example</h2>

<p>This example updates an element to indicate the total number of video frames that have elapsed so far in the playback process. This value includes any dropped or corrupted frames, so it's not the same as "total number of frames played."</p>

<pre class="brush: js">var videoElem = document.getElementById("my_vid");
var counterElem = document.getElementById("counter");
var quality = videoElem.getVideoPlaybackQuality();

counterElem.innerText = quality.totalVideoFrames;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Playback Quality', '#dom-htmlvideoelement-getvideoplaybackquality', 'HTMLVideoElement.getVideoPlaybackQuality()')}}</td>
   <td>{{Spec2('Media Playback Quality')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLVideoElement.getVideoPlaybackQuality")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{HTMLElement("video")}} element</li>
 <li>The {{domxref("VideoPlaybackQuality")}} interface.</li>
</ul>
